#!/usr/bin/make -f

# this will avoid unneded dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# enable all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--program-transform-name='s/ctags/ctags-universal/'

override_dh_install:
	mv man/ctags.1 man/ctags-universal.1
	dh_auto_install
